package com.jkcredit.sysnews.resource.biz.links;

import com.jkcredit.sysnews.model.vo.links.LinksVo;
import com.jkcredit.sysnews.resource.base.BizResource;
import com.jkcredit.sysnews.service.links.LinksService;
import com.jkcredit.sysnews.spi.lang.exception.ServiceException;
import com.jkcredit.sysnews.spi.web.data.ResponseData;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/3/16 15:26
 * @version: V1.0
 **/
@Slf4j
@RestController
public class LinksBizResource extends BizResource {
    @Autowired
    LinksService linksService;

    @GetMapping("/links")
    @ApiOperation("用户展示页面-获取全部友情链接")
    public ResponseData getLinks() {
        try {
            List<LinksVo> linksVoList = linksService.getLinksWithoutPage();
            return ResponseData.success(linksVoList);
        } catch (ServiceException e) {
            log.error(e.getMessage());
            return ResponseData.failed("获取友情链接失败");
        }
    }
}
