package com.jkcredit.sysnews.resource.biz.photo;

import com.alibaba.fastjson.JSONObject;
import com.jkcredit.sysnews.resource.base.BizResource;
import com.jkcredit.sysnews.service.photo.PhotoService;
import com.jkcredit.sysnews.spi.lang.exception.ServiceException;
import com.jkcredit.sysnews.spi.web.data.ResponseData;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/3/26 10:20
 * @version: V1.0
 **/
@Slf4j
@RestController
public class PhotoBizResource extends BizResource {
    @Autowired
    PhotoService photoService;

    @GetMapping("/photos")
    @ApiOperation("用户展示页面-获取图片")
    public ResponseData getPhotos() {
        try {
            JSONObject result = photoService.getPhotosForHomePage();
            return ResponseData.success(result);
        } catch (ServiceException e) {
            log.error(e.getMessage());
            return ResponseData.failed("获取图片失败");
        }
    }
}
