package com.jkcredit.sysnews.service.base;

import com.baidu.unbiz.fluentvalidator.FluentValidator;
import com.baidu.unbiz.fluentvalidator.Result;
import com.baidu.unbiz.fluentvalidator.jsr303.HibernateSupportedValidator;
import com.jkcredit.sysnews.spi.lang.exception.ServiceException;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;

import javax.validation.Validator;

import static com.baidu.unbiz.fluentvalidator.ResultCollectors.toSimple;

/**
 * @description:
 * @author: xusonglin
 * @create: 2019/2/27 20:55
 * @version: V1.0
 **/
@Slf4j
public class BaseService {

    @Autowired
    private Validator validator;

    protected <T> void validate(T fb) {
        Result result = FluentValidator.checkAll()
                .on(fb, new HibernateSupportedValidator<T>().setHiberanteValidator(validator))
                .doValidate()
                .result(toSimple());

        if (!result.isSuccess()) {
            throw new ServiceException(result.getErrors().toString());
        }
    }
}
