package com.jkcredit.sysnews.service.newsArticlePhoto;

import com.jkcredit.sysnews.mapper.NewsArticlePhotoMapper;
import com.jkcredit.sysnews.model.dto.newsArticlePhoto.NewsArticlePhotoDto;
import com.jkcredit.sysnews.model.po.newsArticlePhoto.NewsArticlePhotoPo;
import com.jkcredit.sysnews.service.base.BaseService;
import com.jkcredit.sysnews.spi.lang.constant.CommonConstant;
import com.jkcredit.sysnews.spi.lang.exception.ServiceException;
import com.jkcredit.sysnews.util.BeanUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/3/27 16:19
 * @version: V1.0
 **/
@Slf4j
@Service
public class NewsArticlePhotoServiceImpl extends BaseService implements NewsArticlePhotoService {
    @Resource
    NewsArticlePhotoMapper mapper;

    @Override
    public void saveNewsArticlePhoto(NewsArticlePhotoDto dto) {
        NewsArticlePhotoPo po = new NewsArticlePhotoPo();
        BeanUtil.copyProperties(po, dto);
        po.setCreateTime(new Date());
        try {
            mapper.insert(po);
        } catch (Exception e) {
            log.error("插入新闻-图片关联表失败，失败原因{}", e.getMessage());
            throw new ServiceException("插入新闻-图片关联表失败");
        }
    }

    @Override
    public void deleteNewsArticlePhoto(Long id) {
        NewsArticlePhotoPo po = mapper.selectById(id);
        po.setUpdateTime(new Date());
        po.setActivated(CommonConstant.ACTIVATED_DELETED);
        try {
            mapper.updateById(po);
        } catch (Exception e) {
            log.error("删除新闻-图片关联表失败，失败原因{}", e.getMessage());
            throw new ServiceException("删除新闻-图片关联表失败");
        }
    }

    @Override
    public List<NewsArticlePhotoPo> getArticlePhotoByNewsId(Long id) {
        return mapper.getArticlePhotoByNewsId(id);
    }
}
